"""
Contract JSONL Handler
"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import ContractSyncNode
from schemas.contract.contract import ContractResponse


class ContractJsonlHandler(BaseJsonlHandler):
    """合同 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "contract", ContractSyncNode, ContractResponse)


